cURL
curl -X GET "https://app.cotool.ai/api/skills/:skillId/export" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/skills/{skillId}/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/skills/{skillId}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/skills/{skillId}/export")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/skills/{skillId}/export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"skill": {
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"description": "<string>",
"requiredTools": [
"<string>"
],
"userId": "<string>",
"createdByUserId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"instructionPrompt": "<string>",
"usedByAgentCount": 123,
"invocationCount30d": 123,
"currentVersion": 123,
"references": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skillVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"sizeBytes": 1,
"content": "<string>",
"createdAt": "<string>"
}
]
},
"versions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skillId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"createdByUserId": "<string>",
"createdAt": "<string>"
}
],
"activeVersion": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skillId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"createdByUserId": "<string>",
"createdAt": "<string>",
"instructionPrompt": "<string>",
"requiredTools": [
"<string>"
],
"references": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skillVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"sizeBytes": 1,
"content": "<string>",
"createdAt": "<string>"
}
]
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Skills
Export skill
Export a skill payload including current detail and version metadata.
GET
/
api
/
skills
/
{skillId}
/
export
cURL
curl -X GET "https://app.cotool.ai/api/skills/:skillId/export" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/skills/{skillId}/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/skills/{skillId}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/skills/{skillId}/export")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/skills/{skillId}/export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"skill": {
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"description": "<string>",
"requiredTools": [
"<string>"
],
"userId": "<string>",
"createdByUserId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"instructionPrompt": "<string>",
"usedByAgentCount": 123,
"invocationCount30d": 123,
"currentVersion": 123,
"references": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skillVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"sizeBytes": 1,
"content": "<string>",
"createdAt": "<string>"
}
]
},
"versions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skillId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"createdByUserId": "<string>",
"createdAt": "<string>"
}
],
"activeVersion": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skillId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"createdByUserId": "<string>",
"createdAt": "<string>",
"instructionPrompt": "<string>",
"requiredTools": [
"<string>"
],
"references": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skillVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"sizeBytes": 1,
"content": "<string>",
"createdAt": "<string>"
}
]
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Unique identifier for the skill
Was this page helpful?
⌘I